# Class SnpSiftCmdDbNsfp

java.lang.Object
org.snpsift.SnpSift
org.snpsift.SnpSiftCmdDbNsfp

All Implemented Interfaces:
  `org.snpeff.snpEffect.commandLine.CommandLine, org.snpeff.snpEffect.VcfAnnotator`

public class SnpSiftCmdDbNsfp extends SnpSift
Annotate a VCF file with dbNSFP. The dbNSFP is an integrated database of functional predictions from multiple algorithms for the comprehensive collection of human non-synonymous SNPs (NSs). References:

http://sites.google.com/site/jpopgen/dbNSFP

Paper: Liu X, Jian X, and Boerwinkle E. 2011. dbNSFP: a lightweight database of human non-synonymous SNPs and their functional predictions. Human Mutation. 32:894-899.

Author:
  lletourn

## Field Summary

Fields
Modifier and Type
Field
Description
`protected boolean`
`annotateEmpty`
`protected boolean`
`annotateMissing`
`protected boolean`
`collapseRepeatedValues`
`final String`
`CONFIG_DBNSFP_DB_NAME`
`protected int`
`count`
`protected int`
`countAnnotated`
`protected int`
`countVariants`
`protected DbNsfpEntry`
`currentDbEntry`
`protected DbNsfp`
`dbNsfp`
`static final String`
`DBNSFP_VCF_INFO_PREFIX`
`static final String`
`DEFAULT_FIELDS_NAMES_TO_ADD`
`protected Map<String,String>`
`fieldsDescription`
`protected String`
`fieldsNamesToAdd`
`protected Map<String,String>`
`fieldsToAdd`
`protected Map<String,String>`
`fieldsType`
`protected boolean`
`inverseFieldSelection`
`static final int`
`MIN_JUMP`
`static final int`
`SHOW_EVERY`
`protected boolean`
`tabixCheck`
`protected org.snpeff.fileIterator.VcfFileIterator`
`vcfFile`
`protected String`
`vcfFileName`

### Fields inherited from class SnpSift

`args, BUILD, command, config, configFile, dataDir, dbFileName, dbTabix, dbType, debug, download, EMPTY_ARGS, errCount, genomeVersion, help, log, needsConfig, needsDb, needsGenome, numWorkers, output, quiet, REVISION, saveOutput, shiftArgs, SHOW_EVERY_VCFLINES, showVcfHeader, showVersion, SOFTWARE_NAME, suppressOutput, vcfHeaderAddProgramVersion, vcfHeaderProcessed, vcfInputFile, verbose, VERSION, VERSION_MAJOR, VERSION_NO_NAME, VERSION_SHORT`

## Constructor Summary

Constructors
Constructor
Description
`SnpSiftCmdDbNsfp()`
`SnpSiftCmdDbNsfp(String[] args)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`addHeaders(org.snpeff.fileIterator.VcfFileIterator vcfFile)`
Add some lines to header before showing it
`boolean`
`annotate(org.snpeff.interval.Variant variant, Map<String,String> info)`
Annotate a VCF entry
`boolean`
`annotate(org.snpeff.vcf.VcfEntry vcfEntry)`
`boolean`
`annotateFinish(org.snpeff.fileIterator.VcfFileIterator vcfFile)`
`boolean`
`annotateInit(org.snpeff.fileIterator.VcfFileIterator vcfFile)`
Initialize annotation process
`void`
`checkFieldsToAdd()`
Check that all fields to add are available
`Map<String,String>`
`getFieldsType()`
`void`
`init()`
Initialize default values
`void`
`parseArgs(String[] args)`
Parse command line arguments
`boolean`
`run()`
`List<org.snpeff.vcf.VcfEntry>`
`run(boolean createList)`
Run annotation algorithm
`void`
`setFieldsNamesToAdd(String fieldsNamesToAdd)`
`void`
`setTabixCheck(boolean tabixCheck)`
`void`
`usage(String msg)`
Show usage message

### Methods inherited from class SnpSift

`cmd, commandLineStr, databaseDownload, databaseFind, error, getArgs, getConfig, getConfigFile, getOutput, headers, isOpt, loadConfig, main, openVcfInputFile, processVcfHeader, setCommand, setCommand, setConfig, setConfigFile, setDbFileName, setDebug, setQuiet, setSaveOutput, setShowVcfHeader, setShowVersion, setSuppressOutput, setVcfHeaderAddProgramVersion, setVerbose, showCmd, showVersion, unSanitize, usageGenericAndDb`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### DBNSFP_VCF_INFO_PREFIX

public static final String DBNSFP_VCF_INFO_PREFIX

See Also:
  - Constant Field Values

### DEFAULT_FIELDS_NAMES_TO_ADD

public static final String DEFAULT_FIELDS_NAMES_TO_ADD

See Also:
  - Constant Field Values

### MIN_JUMP

public static final int MIN_JUMP

See Also:
  - Constant Field Values

### SHOW_EVERY

public static final int SHOW_EVERY

See Also:
  - Constant Field Values

### CONFIG_DBNSFP_DB_NAME

public final String CONFIG_DBNSFP_DB_NAME

See Also:
  - Constant Field Values

### fieldsToAdd

protected Map<String,String> fieldsToAdd

### fieldsDescription

protected Map<String,String> fieldsDescription

### fieldsType

protected Map<String,String> fieldsType

### annotateEmpty

protected boolean annotateEmpty

### annotateMissing

protected boolean annotateMissing

### collapseRepeatedValues

protected boolean collapseRepeatedValues

### inverseFieldSelection

protected boolean inverseFieldSelection

### tabixCheck

protected boolean tabixCheck

### vcfFileName

protected String vcfFileName

### count

protected int count

### countAnnotated

protected int countAnnotated

### countVariants

protected int countVariants

### dbNsfp

protected DbNsfp dbNsfp

### vcfFile

protected org.snpeff.fileIterator.VcfFileIterator vcfFile

### currentDbEntry

protected DbNsfpEntry currentDbEntry

### fieldsNamesToAdd

protected String fieldsNamesToAdd

## Constructor Details

### SnpSiftCmdDbNsfp

public SnpSiftCmdDbNsfp()

### SnpSiftCmdDbNsfp

public SnpSiftCmdDbNsfp(String[] args)

## Method Details

### addHeaders

public boolean addHeaders(org.snpeff.fileIterator.VcfFileIterator vcfFile)
Add some lines to header before showing it

Specified by:
  `addHeaders` in interface `org.snpeff.snpEffect.VcfAnnotator`
Overrides:
  `addHeaders` in class `SnpSift`

### annotate

public boolean annotate(org.snpeff.interval.Variant variant, Map<String,String> info)
Annotate a VCF entry

Parameters:
  `info` - Add values to 'info' map. Note that we may have some previous values in the map
Returns:
  True if entries were added to the map

### annotate

public boolean annotate(org.snpeff.vcf.VcfEntry vcfEntry)

Specified by:
  `annotate` in interface `org.snpeff.snpEffect.VcfAnnotator`
Overrides:
  `annotate` in class `SnpSift`

### annotateFinish

public boolean annotateFinish(org.snpeff.fileIterator.VcfFileIterator vcfFile)

Specified by:
  `annotateFinish` in interface `org.snpeff.snpEffect.VcfAnnotator`
Overrides:
  `annotateFinish` in class `SnpSift`

### annotateInit

public boolean annotateInit(org.snpeff.fileIterator.VcfFileIterator vcfFile)
Initialize annotation process

Specified by:
  `annotateInit` in interface `org.snpeff.snpEffect.VcfAnnotator`
Overrides:
  `annotateInit` in class `SnpSift`

### checkFieldsToAdd

public void checkFieldsToAdd() throws IOException
Check that all fields to add are available

Throws:
  `IOException`

### getFieldsType

public Map<String,String> getFieldsType()

### init

public void init()
Initialize default values

Overrides:
  `init` in class `SnpSift`

### parseArgs

public void parseArgs(String[] args)
Parse command line arguments

Specified by:
  `parseArgs` in interface `org.snpeff.snpEffect.commandLine.CommandLine`
Overrides:
  `parseArgs` in class `SnpSift`

### run

public boolean run()

Specified by:
  `run` in interface `org.snpeff.snpEffect.commandLine.CommandLine`
Overrides:
  `run` in class `SnpSift`

### run

public List<org.snpeff.vcf.VcfEntry> run(boolean createList)
Run annotation algorithm

### setFieldsNamesToAdd

public void setFieldsNamesToAdd(String fieldsNamesToAdd)

### setTabixCheck

public void setTabixCheck(boolean tabixCheck)

### usage

public void usage(String msg)
Show usage message

Specified by:
  `usage` in interface `org.snpeff.snpEffect.commandLine.CommandLine`
Overrides:
  `usage` in class `SnpSift`